Subject: Re: linux-next: mfd tree build failure

From: Mark Brown <[email-masked]>
Date: Mon, 11 Jan 2010 10:51:26 +0000

On Mon, Jan 11, 2010 at 04:02:32PM +1100, Stephen Rothwell wrote:
> Hi Sam,

> Today's linux-next build (x86_64_allmodconfig, gcc 4.4.0, binutils
> 2.19.1) failed like this:

> ERROR: "max8925_set_bits" [drivers/video/backlight/max8925_bl.ko] undefined!
> ERROR: "max8925_reg_write" [drivers/video/backlight/max8925_bl.ko] undefined!
> ERROR: "max8925_reg_read" [drivers/video/backlight/max8925_bl.ko] undefined!
> ERROR: "max8925_set_bits" [drivers/regulator/max8925.ko] undefined!
> ERROR: "max8925_reg_read" [drivers/regulator/max8925.ko] undefined!

> I am not sure what caused this, so I have used the version of the mfd
> tree from next-20100108 for today.

CCing in Haojian who did the driver.  I've not looked but I'd guess that
the issue is missing EXPORT_SYMBOL{,_GPL}s on the symbols above.